<?php if( ! defined('BASEPATH')) exit('No direct script access allowed');
class Link_model extends Model
{
	function Link_model()
	{
		parent::Model();
	}
	function add_record($f_path)
	{
		$data=array(
			'title'=>$this->input->post("title"),
			'hplink'=>$this->input->post("hplink"),
			'seqorder'=>$this->input->post("seqorder")
		);
		if($f_path['file_path'])
		{
			$data['pic_path']=$f_path['file_path'];
		}
		else
		{
			$data['pic_path']=$this->input->post("pic_path");
		}
		$this->db->insert("shop_link",$data);
		return TRUE;
	}
	function get_records($per_page=10)
	{
		$this->load->library('pagination');
		$total_rows = $this->db->count_all_results('shop_link');
		$this->db->order_by('seqorder','asc');
		$this->db->order_by('id','desc');
		$offset = $this->uri->segment(4, 0);
		if($total_rows==$offset||$total_rows<$offset)
		{
			$offset=0;
		}
		$this->pagination->initialize(
			array(
					'base_url'		 => CTL_FOLDER.'link/index',
					'total_rows'	 => $total_rows,
					'per_page'		 => $per_page,
					'cur_page'       => $offset
			)
		);
		$data=array(
			'query'    => $this->db->get("shop_link", $per_page, $offset),
			'paginate' => $this->pagination->create_links()
		);
		return $data;
	}
	
	function get_record($id)
	{
		$query=$this->db->get_where("shop_link",array('id'=>$id));
		if($query->num_rows()>0)
		{
			return $query->row_array();
		}
	}
	
	function sort_record()
	{
		$rd_id=$this->input->post("rd_id");
		if(!is_array($rd_id))
		{
			return FALSE;
		}
		foreach($rd_id as $row)
		{
			$sort_value=$this->input->post("sort".$row)?(int)$this->input->post("sort".$row):0;
			$this->db->update("shop_link",array('seqorder'=>$sort_value),array('id'=>$row));
		}
		return TRUE;
	}
	
	function save_record($f_path)
	{
		$rd_id=$this->input->post("rd_id");
		$data=array(
			'title'=>$this->input->post("title"),
			'seqorder'=>$this->input->post("seqorder"),
			'hplink'=>$this->input->post("hplink")
		);
		if($f_path['file_path'])
		{
			$data['pic_path']=$f_path['file_path'];
		}
		else
		{
			$data['pic_path']=$this->input->post("pic_path");
		}
		$this->db->update("shop_link",$data,array('id'=>$rd_id));
		return TRUE;
	}
	
	function del_record()
	{
		$rd_id=$this->input->post("rd_id");
		if(!is_array($rd_id))
		{
			return FALSE;
		}
		$this->db->where_in("id",$rd_id);
		$this->db->delete("shop_link");
		if($this->db->affected_rows())
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
}
?>